Page MenuHomePhabricator

icingawm is missing from #wikimedia-fundraising channel
Closed, ResolvedPublic

Description

It has been missing for a while, maybe on the order of weeks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2018, 6:25 PM
XenoRyet moved this task from Triage to FR-Ops on the Fundraising-Backlog board.Aug 20 2018, 7:35 PM

@Volans my findings so far:

  • icinga-wm is only in -operations atm, looks like usually several more per ircbot.pp
  • none of the channels i checked are +r (registration required)
  • user does not appear to be banned (at least from fundraising)

I lost the backscroll from freenode admins about the channel restrictions but maybe it is something beyond normal chanserv stuff?

Either way I think if we register icinga-wm with nickserv it can rejoin everywhere.

Mentioned in SAL (#wikimedia-operations) [2018-08-21T17:58:49Z] <volans> restarting ircecho on einsteinium - T202314

Dzahn added a subscriber: Dzahn.Aug 21 2018, 6:05 PM

Mentioned in SAL (#wikimedia-operations) [2018-08-21T18:17:53Z] <volans> restarting ircecho on einsteinium - T202314

I spoke with user 'grumble' who is freenode staff and they explained how the ban list works, inheriting from #wikimedia-bans. I was able to set +e (ban exempt) in -fundraising and the user rejoined. A cleaner solution would probably be unbanning them from #wikimedia-bans. I don't have op in there.

I have asked @jrbs who is chanop there

jrbs added a comment.Aug 21 2018, 8:34 PM

I don't see a ban for *!*@einsteinium.wikimedia.org (or the account) in -bans. I'm not sure what it's catching on.

jrbs added a comment.EditedAug 21 2018, 8:39 PM

I think this is part of the blanket ban on $~a in -bans; see T201287 for more info on that. +e seems a good solution for the interim. Sorry for the inconvenience there.

elukey added a subscriber: elukey.Sep 4 2018, 9:44 AM

Not super familiar with IRC so I am going to ask forgiveness in advance for the stupid questions :)

I am trying to make icinga-vm re-join #wikimedia-analytics, but I don't have a clear idea about how to do it. I checked the akick list of the channel but it is empty, and tried to -b icinga-vm (and eventually also restart irc-echo on einstenium) but still no luck. Any suggestion?

elukey added a subscriber: Paladox.Sep 4 2018, 10:19 AM

Found a way to +e *!*@einsteinium.wikimedia.org, and then restarted ircecho, worked :)

Thanks to @Paladox for the help!

probably want to whitelist the other icinga-wm host too in case it's switched over.

Jgreen closed this task as Resolved.Jul 9 2020, 3:44 PM
Jgreen claimed this task.
Jgreen triaged this task as Medium priority.
Jgreen edited projects, added fundraising-tech-ops; removed Fundraising-Backlog.
Jgreen moved this task from Triage to Done on the fundraising-tech-ops board.